<?php
require("../../inc/lib.inc");
require("../serverStatusImprove/function.inc");

$global_id=0;
function AssignID()
{
	global $global_id;
	
	$id="ID_{$global_id}";
	$global_id++;
	return $id;
}

if(0)
{
	echo "platID=$platID,subSysNo=$subSysNo";
}

$config=parse_ini_file("config.ini",true);
$config_count=sizeof($config);


$platDetailInfo=GetDetailPlatInfo($sysNo,$subSysNo,0);

//version
$id=AssignID();
$total_response.="$id,block,{$platDetailInfo[IPTRANS][Version][Value]},#0000FF;";

//Status
$id=AssignID();
$total_response.="$id,block,{$platDetailInfo[IPTRANS][Status][Value]},#0000FF;";

//RefreshTime
$id=AssignID();
$total_response.="$id,block,{$platDetailInfo[RefreshTime][Value]},#0000FF;";

//port

for($i=0;$i<8;$i++)
{
		for($j=0;$j<4;$j++) 
		{	
       $dis_port=($j)*8+$i;			
		   $id=AssignID();
		   $total_response.="$id,block,{$platDetailInfo[IPTRANS][Port][$dis_port][Status][Value]},{$platDetailInfo[IPTRANS][Port][$dis_port][Status][Color]};";   
    }
}   
echo "$total_response";
?>

